Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration
Class ConfigurationFactory.PropertiesConfigurationFactory

    java.lang.Object
      org.apache.commons.digester.AbstractObjectCreationFactory
          org.apache.commons.configuration.ConfigurationFactory.DigesterConfigurationFactory
              org.apache.commons.configuration.ConfigurationFactory.FileConfigurationFactory
                  org.apache.commons.configuration.ConfigurationFactory.PropertiesConfigurationFactory

All Implemented Interfaces:
  org.apache.commons.digester.ObjectCreationFactory

Enclosing class:
  ConfigurationFactory

    public class ConfigurationFactory.PropertiesConfigurationFactory

extends ConfigurationFactory.FileConfigurationFactory

A factory that returns an XMLPropertiesConfiguration for .xml files and a PropertiesConfiguration for the others.

Since:
  1.2

Field Summary

Fields inherited from class org.apache.commons.digester.AbstractObjectCreationFactory
`digester`

Constructor Summary
`ConfigurationFactory.PropertiesConfigurationFactory()` Creates a new instance of `PropertiesConfigurationFactory`.

Method Summary
`protected FileConfiguration` | `createConfiguration(Attributes attributes)` Creates the new configuration object.

Methods inherited from class org.apache.commons.configuration.ConfigurationFactory.FileConfigurationFactory
`createObject`

Methods inherited from class org.apache.commons.digester.AbstractObjectCreationFactory
`getDigester, setDigester`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationFactory.PropertiesConfigurationFactory

    public ConfigurationFactory.PropertiesConfigurationFactory()

  Creates a new instance of `PropertiesConfigurationFactory`.

Method Detail

### createConfiguration

    protected FileConfiguration createConfiguration(Attributes attributes)
                                             throws Exception

  Creates the new configuration object. Based on the file name provided in the attributes either a `PropertiesConfiguration` or a `XMLPropertiesConfiguration` object will be returned.

  Overrides:
    `createConfiguration` in class `ConfigurationFactory.FileConfigurationFactory`
  Parameters:
    `attributes` - the attributes
  Returns:
    the new configuration object
  Throws:
    `Exception` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.